aboutsummaryrefslogtreecommitdiffstats
path: root/community/elogind/elogind.initd
diff options
context:
space:
mode:
Diffstat (limited to 'community/elogind/elogind.initd')
-rw-r--r--community/elogind/elogind.initd9
1 files changed, 9 insertions, 0 deletions
diff --git a/community/elogind/elogind.initd b/community/elogind/elogind.initd
index 96626503e6..7563fe9309 100644
--- a/community/elogind/elogind.initd
+++ b/community/elogind/elogind.initd
@@ -3,6 +3,7 @@ supervisor=supervise-daemon
name="System login manager"
description="System service that manages user logins"
+description_reload="Reload configuration without exiting"
command=/usr/libexec/elogind/elogind
@@ -12,3 +13,11 @@ depend() {
# Make sure we start before any other display manager
before xdm lxdm sddm gdm
}
+
+extra_started_commands="reload"
+
+reload() {
+ ebegin "Reloading configuration"
+ $supervisor $RC_SVCNAME --signal HUP
+ eend $?
+}